{
    "ERR0000": "資料輸入錯誤",
    "ERR0001": "PIN輸入錯誤",
    "ERR0002": "value輸入錯誤",
    "ERR0003": "DI資料查詢錯誤",
    "ERR0004": "DO資料查詢錯誤",
    "ERR0005": "DI資料輸入錯誤",
    "ERR0006": "DO資料輸入錯誤",
    "ERR0007": "DO資訊寫入失敗",
    "ERR0008": "DI資訊寫入失敗",
    "ERR0009": "類型輸入錯誤",
    "ERR0010": "IP輸入錯誤",
    "ERR0011": "Netmask輸入錯誤",
    "ERR0012": "Gateway輸入錯誤",
    "ERR0013": "DNS輸入錯誤",
    "ERR0014": "網路資訊取得失敗",
    "ERR0015": "時間輸入錯誤",
    "ERR0016": "帳號輸入錯誤",
    "ERR0017": "密碼輸入錯誤",
    "ERR0018": "使用者資料取得失敗",
    "ERR0019": "帳號或密碼錯誤",
    "ERR0020": "刪除使用者失敗",
    "ERR0021": "使用者資料更新失敗",
    "ERR0022": "使用者資料新增失敗",
    "ERR0023": "數量計算錯誤",
    "ERR0024": "數量取得失敗",
    "ERR0025": "IP格式錯誤",
    "ERR0026": "名稱輸入錯誤",
    "ERR0027": "此IP裝置已存在",
    "ERR0028": "ID輸入錯誤",
    "ERR0029": "裝置輸入錯誤",
    "ERR0030": "動作輸入錯誤",
    "ERR0031": "溫度請介於16-30間",
    "ERR0032": "啟用狀態輸入錯誤",
    "ERR0033": "分鐘輸入錯誤",
    "ERR0034": "小時輸入錯誤",
    "ERR0035": "日輸入錯誤",
    "ERR0036": "月輸入錯誤",
    "ERR0037": "admin 不能被刪除",
    "ERR0038": "裝置節點輸入錯誤",
    "ERR0039": "裝置Di數量輸入錯誤",
    "ERR0040": "裝置Di起始位址輸入錯誤",
    "ERR0041": "裝置Do數量輸入錯誤",
    "ERR0042": "裝置Do起始位址輸入錯誤",
    "ERR0043": "裝置Ai數量輸入錯誤",
    "ERR0044": "裝置Ai起始位址輸入錯誤",
    "ERR0045": "裝置Ao數量輸入錯誤",
    "ERR0046": "裝置Ao起始位址輸入錯誤",
    "ERR0047": "裝置節點編號已存在",
    "ERR0048": "位址輸入錯誤",
    "ERR0049": "數值輸入錯誤",
    "ERR0050": "最小值輸入錯誤",
    "ERR0051": "最大值輸入錯誤",
    "ERR0052": "ScaleMin輸入錯誤",
    "ERR0053": "ScaleMax輸入錯誤",
    "ERR0054": "此位址設定已存在",
    "ERR0055": "Func Code 輸入錯誤",
    "ERR0056": "LeOne數量已達上限",
    "ERR0057": "連動資料輸入錯誤",

    "ERR7000": "命令執行失敗",

    "ERR8000": "資料查詢失敗",
    "ERR8001": "資料新增失敗",
    "ERR8002": "資料更新失敗",
    "ERR8003": "資料刪除失敗",
    "ERR8100": "DB連線失敗",
    "ERR9000": "操作權限不足"
}